# Uses of Class
org.opensaml.xmlsec.encryption.support.ChainingEncryptedKeyResolver

Packages that use ChainingEncryptedKeyResolver
Package
Description
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.

## Uses of ChainingEncryptedKeyResolver in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support declared as ChainingEncryptedKeyResolver
Modifier and Type
Field
Description
`private final ChainingEncryptedKeyResolver`
ChainingEncryptedKeyResolver.ChainingIterable.`parent`
The chaining encrypted key resolver which owns this instance.
`private final ChainingEncryptedKeyResolver`
ChainingEncryptedKeyResolver.ChainingIterator.`parent`
The chaining encrypted key resolver which owns this instance.
Constructors in org.opensaml.xmlsec.encryption.support with parameters of type ChainingEncryptedKeyResolver
Modifier
Constructor
Description
``
`ChainingIterable(ChainingEncryptedKeyResolver resolver, EncryptedData encData, Set<String> recipientIDs)`
Constructor.
``
`ChainingIterator(ChainingEncryptedKeyResolver resolver, EncryptedData encData, Set<String> recipientIDs)`
Constructor.